Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for e-Mail API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.emailadapter.eway
Class EmailInboundWork

    java.lang.Object
      com.stc.connector.emailadapter.eway.EmailInboundWork

All Implemented Interfaces:
  com.stc.connector.management.jca.system.mbeans.LifeCycle, java.lang.Runnable, javax.resource.spi.work.Work

    public class EmailInboundWork

extends java.lang.Object
implements javax.resource.spi.work.Work, com.stc.connector.management.jca.system.mbeans.LifeCycle

DOCUMENT ME!

Author:
  jtran

Constructor Summary
`EmailInboundWork(EmailEndpoint emailAS)` Creates a new instance of EmailInboundWork.

Method Summary
`boolean` | `isStarted()`
`void` | `release()` The WorkManager might call this method to hint the active Work instance to complete execution as soon as possible.
`void` | `run()` Main processing method for the EmailInboundWork object
`void` | `start()`
`void` | `stop()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EmailInboundWork

    public EmailInboundWork(EmailEndpoint emailAS)
                     throws java.lang.Exception

  Creates a new instance of EmailInboundWork.

  Parameters:
    `emailAS` - The instance of EmailEndpoint associated with this Work item.
  Throws:
    `java.lang.Exception` - Generic exception

Method Detail

### run

    public void run()

  Main processing method for the EmailInboundWork object

  Specified by:
    `run` in interface `java.lang.Runnable`

### release

    public void release()

  The WorkManager might call this method to hint the active Work instance to complete execution as soon as possible. This would be called on a seperate thread other than the one currently executing the Work instance.

  Specified by:
    `release` in interface `javax.resource.spi.work.Work`

### start

    public void start()

  Specified by:
    `start` in interface `com.stc.connector.management.jca.system.mbeans.LifeCycle`
  See Also:
    `LifeCycle.start()`

### stop

    public void stop()

  Specified by:
    `stop` in interface `com.stc.connector.management.jca.system.mbeans.LifeCycle`
  See Also:
    `LifeCycle.stop()`

### isStarted

    public boolean isStarted()

  Specified by:
    `isStarted` in interface `com.stc.connector.management.jca.system.mbeans.LifeCycle`
  See Also:
    `LifeCycle.isStarted()`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for e-Mail API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD